# [−] List of all items

### Structs

- Command
- Message
- MessageHeader
- Services
- bytes::Bytes
- bytes::TaggedBytes
- common::BlockHeaderAndIDs
- common::BlockTransactions
- common::BlockTransactionsRequest
- common::Command
- common::InventoryVector
- common::IpAddress
- common::NetAddress
- common::Port
- common::PrefilledTransaction
- common::Services
- hash::H160
- hash::H256
- hash::H264
- hash::H32
- hash::H48
- hash::H512
- hash::H520
- hash::H96
- types::Block
- types::BlockTxn
- types::CompactBlock
- types::FeeFilter
- types::FilterAdd
- types::FilterClear
- types::FilterLoad
- types::GetAddr
- types::GetBlockTxn
- types::GetBlocks
- types::GetData
- types::GetHeaders
- types::Headers
- types::Inv
- types::MemPool
- types::MerkleBlock
- types::NotFound
- types::Ping
- types::Pong
- types::SendCompact
- types::SendHeaders
- types::Tx
- types::Verack
- types::addr::AddressEntry
- types::addr::V0
- types::addr::V31402
- types::reject::Reject
- types::version::V0
- types::version::V106
- types::version::V70001

### Enums

- Error
- common::InventoryType
- types::FilterFlags
- types::addr::Addr
- types::reject::RejectCode
- types::version::Version

### Traits

- Payload

### Functions

- deserialize_payload
- serialize_payload
- to_raw_message

### Typedefs

- MessageResult

### Constants

- types::FILTERADD_MAX_DATA_LEN
- types::FILTERLOAD_MAX_FILTER_LEN
- types::FILTERLOAD_MAX_HASH_FUNCS
- types::GETBLOCKS_MAX_RESPONSE_HASHES
- types::GETDATA_MAX_INVENTORY_LEN
- types::GETHEADERS_MAX_RESPONSE_HEADERS
- types::HEADERS_MAX_HEADERS_LEN
- types::INV_MAX_INVENTORY_LEN

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g. `str,u8` or `String,struct:Vec,test`)